# Generated by Django 4.1.8 on 2023-04-25 23:08

import cmsplugin_blocks.modelfields
import cmsplugin_blocks.utils.validators
from cmsplugin_blocks.choices_helpers import (
    get_container_template_choices,
    get_container_template_default,
)
from django.db import migrations, models
import django.db.models.deletion
import smart_media.mixins
import smart_media.modelfields


class Migration(migrations.Migration):

    dependencies = [
        ("cms", "0022_auto_20180620_1551"),
        ("cmsplugin_blocks", "0004_change_image_as_filefield_"),
    ]

    operations = [
        migrations.CreateModel(
            name="Container",
            fields=[
                (
                    "cmsplugin_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="%(app_label)s_%(class)s",
                        serialize=False,
                        to="cms.cmsplugin",
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True, default="", max_length=150, verbose_name="Title"
                    ),
                ),
                (
                    "template",
                    models.CharField(
                        choices=get_container_template_choices(),
                        default=get_container_template_default(),
                        help_text="Used template for content look.",
                        max_length=150,
                        verbose_name="Template",
                    ),
                ),
                (
                    "image",
                    smart_media.modelfields.SmartMediaField(
                        blank=True,
                        default=None,
                        max_length=255,
                        null=True,
                        upload_to="blocks/container/%y/%m",
                        verbose_name="Image",
                    ),
                ),
                (
                    "content",
                    models.TextField(blank=True, default="", verbose_name="Content"),
                ),
                (
                    "features",
                    cmsplugin_blocks.modelfields.CommaSeparatedStringsField(
                        blank=True,
                        choices=[],
                        default="",
                        max_length=255,
                        validators=[
                            cmsplugin_blocks.utils.validators.validate_css_classnames
                        ],
                        verbose_name="Layout features",
                    ),
                ),
            ],
            options={
                "verbose_name": "Container",
                "verbose_name_plural": "Containers",
            },
            bases=(smart_media.mixins.SmartFormatMixin, "cms.cmsplugin"),
        ),
        migrations.RemoveField(
            model_name="card",
            name="alignment",
        ),
        migrations.AddField(
            model_name="album",
            name="features",
            field=cmsplugin_blocks.modelfields.CommaSeparatedStringsField(
                blank=True,
                choices=[],
                default="",
                max_length=255,
                validators=[cmsplugin_blocks.utils.validators.validate_css_classnames],
                verbose_name="Layout features",
            ),
        ),
        migrations.AddField(
            model_name="albumitem",
            name="features",
            field=cmsplugin_blocks.modelfields.CommaSeparatedStringsField(
                blank=True,
                choices=[],
                default="",
                max_length=255,
                validators=[cmsplugin_blocks.utils.validators.validate_css_classnames],
                verbose_name="Layout features",
            ),
        ),
        migrations.AddField(
            model_name="card",
            name="features",
            field=cmsplugin_blocks.modelfields.CommaSeparatedStringsField(
                blank=True,
                choices=[],
                default="",
                max_length=255,
                validators=[cmsplugin_blocks.utils.validators.validate_css_classnames],
                verbose_name="Layout features",
            ),
        ),
        migrations.AddField(
            model_name="card",
            name="link_open_blank",
            field=models.BooleanField(
                default=False,
                help_text="If checked the link will be opened in a new window",
                verbose_name="Open in new window",
            ),
        ),
        migrations.AddField(
            model_name="card",
            name="link_url",
            field=models.CharField(blank=True, max_length=255, verbose_name="Link url"),
        ),
        migrations.AddField(
            model_name="card",
            name="title",
            field=models.CharField(
                blank=True, default="", max_length=150, verbose_name="Title"
            ),
        ),
        migrations.AddField(
            model_name="hero",
            name="features",
            field=cmsplugin_blocks.modelfields.CommaSeparatedStringsField(
                blank=True,
                choices=[],
                default="",
                max_length=255,
                validators=[cmsplugin_blocks.utils.validators.validate_css_classnames],
                verbose_name="Layout features",
            ),
        ),
        migrations.AddField(
            model_name="slideitem",
            name="features",
            field=cmsplugin_blocks.modelfields.CommaSeparatedStringsField(
                blank=True,
                choices=[],
                default="",
                max_length=255,
                validators=[cmsplugin_blocks.utils.validators.validate_css_classnames],
                verbose_name="Layout features",
            ),
        ),
        migrations.AddField(
            model_name="slider",
            name="features",
            field=cmsplugin_blocks.modelfields.CommaSeparatedStringsField(
                blank=True,
                choices=[],
                default="",
                max_length=255,
                validators=[cmsplugin_blocks.utils.validators.validate_css_classnames],
                verbose_name="Layout features",
            ),
        ),
        migrations.AlterField(
            model_name="album",
            name="cmsplugin_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                related_name="%(app_label)s_%(class)s",
                serialize=False,
                to="cms.cmsplugin",
            ),
        ),
        migrations.AlterField(
            model_name="albumitem",
            name="image",
            field=smart_media.modelfields.SmartMediaField(
                default=None,
                max_length=255,
                null=True,
                upload_to="blocks/albumitem/%y/%m",
                verbose_name="Image",
            ),
        ),
        migrations.AlterField(
            model_name="card",
            name="cmsplugin_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                related_name="%(app_label)s_%(class)s",
                serialize=False,
                to="cms.cmsplugin",
            ),
        ),
        migrations.AlterField(
            model_name="card",
            name="image",
            field=smart_media.modelfields.SmartMediaField(
                blank=True,
                default=None,
                max_length=255,
                null=True,
                upload_to="blocks/card/%y/%m",
                verbose_name="Image",
            ),
        ),
        migrations.AlterField(
            model_name="hero",
            name="cmsplugin_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                related_name="%(app_label)s_%(class)s",
                serialize=False,
                to="cms.cmsplugin",
            ),
        ),
        migrations.AlterField(
            model_name="hero",
            name="image",
            field=smart_media.modelfields.SmartMediaField(
                blank=True,
                default=None,
                max_length=255,
                null=True,
                upload_to="blocks/hero/%y/%m",
                verbose_name="Image",
            ),
        ),
        migrations.AlterField(
            model_name="slideitem",
            name="image",
            field=smart_media.modelfields.SmartMediaField(
                default=None,
                max_length=255,
                null=True,
                upload_to="blocks/slideritem/%y/%m",
                verbose_name="Image",
            ),
        ),
        migrations.AlterField(
            model_name="slider",
            name="cmsplugin_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                related_name="%(app_label)s_%(class)s",
                serialize=False,
                to="cms.cmsplugin",
            ),
        ),
    ]
