# Generated by Django 5.0.6 on 2024-07-08 00:17

import cmsplugin_blocks.modelfields
import cmsplugin_blocks.utils.validators
from cmsplugin_blocks.choices_helpers import (
    get_feature_plugin_choices, get_value_help_text
)
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('cmsplugin_blocks', '0007_add_image_alt'),
    ]

    operations = [
        migrations.CreateModel(
            name='Feature',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='', max_length=50, verbose_name='title')),
                ('value', models.CharField(default='', help_text=get_value_help_text, max_length=100, validators=[cmsplugin_blocks.utils.validators.validate_css_classname], verbose_name='value')),
                ('scope', models.CharField(choices=[('size', 'Size'), ('color', 'Color'), ('extra', 'Extra')], default='size', help_text='The feature scope.', max_length=50, verbose_name='scope')),
                ('plugins', cmsplugin_blocks.modelfields.CommaSeparatedStringsField(blank=True, choices=get_feature_plugin_choices(), default='', max_length=50, verbose_name='Allowed for plugins')),
            ],
            options={
                'verbose_name': 'Layout feature',
                'verbose_name_plural': 'Layout Features',
            },
        ),
        migrations.RemoveField(
            model_name='card',
            name='features',
        ),
        migrations.RemoveField(
            model_name='hero',
            name='features',
        ),
        migrations.AddConstraint(
            model_name='feature',
            constraint=models.UniqueConstraint(fields=('scope', 'title'), name='blocks_unique_feature_title'),
        ),
        migrations.AddField(
            model_name='card',
            name='color_features',
            field=models.ManyToManyField(blank=True, limit_choices_to={'plugins__contains': 'Card', 'scope': 'color'}, related_name='%(app_label)s_%(class)s_color_related', to='cmsplugin_blocks.feature', verbose_name='color features'),
        ),
        migrations.AddField(
            model_name='card',
            name='extra_features',
            field=models.ManyToManyField(blank=True, limit_choices_to={'plugins__contains': 'Card', 'scope': 'extra'}, related_name='%(app_label)s_%(class)s_extra_related', to='cmsplugin_blocks.feature', verbose_name='extra features'),
        ),
        migrations.AddField(
            model_name='card',
            name='size_features',
            field=models.ManyToManyField(blank=True, limit_choices_to={'plugins__contains': 'Card', 'scope': 'size'}, related_name='%(app_label)s_%(class)s_size_related', to='cmsplugin_blocks.feature', verbose_name='size features'),
        ),
        migrations.AddField(
            model_name='hero',
            name='color_features',
            field=models.ManyToManyField(blank=True, limit_choices_to={'plugins__contains': 'Hero', 'scope': 'color'}, related_name='%(app_label)s_%(class)s_color_related', to='cmsplugin_blocks.feature', verbose_name='color features'),
        ),
        migrations.AddField(
            model_name='hero',
            name='extra_features',
            field=models.ManyToManyField(blank=True, limit_choices_to={'plugins__contains': 'Hero', 'scope': 'extra'}, related_name='%(app_label)s_%(class)s_extra_related', to='cmsplugin_blocks.feature', verbose_name='extra features'),
        ),
        migrations.AddField(
            model_name='hero',
            name='size_features',
            field=models.ManyToManyField(blank=True, limit_choices_to={'plugins__contains': 'Hero', 'scope': 'size'}, related_name='%(app_label)s_%(class)s_size_related', to='cmsplugin_blocks.feature', verbose_name='size features'),
        ),
    ]