# Generated by Django 4.2.15 on 2024-08-26 08:59

import cmsplugin_blocks.modelfields
import cmsplugin_blocks.models.mixins
from cmsplugin_blocks.choices_helpers import (
    get_accordion_template_choices,
    get_accordion_template_default,
    get_feature_plugin_choices,
)
from django.db import migrations, models
import django.db.models.deletion
import smart_media.mixins
import smart_media.modelfields


class Migration(migrations.Migration):

    dependencies = [
        ('cms', '0022_auto_20180620_1551'),
        ('cmsplugin_blocks', '0010_rename_feature_plugins'),
    ]

    operations = [
        migrations.CreateModel(
            name='Accordion',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='%(app_label)s_%(class)s', serialize=False, to='cms.cmsplugin')),
                ('title', models.CharField(default='', max_length=150, verbose_name='Title')),
                ('template', models.CharField(choices=get_accordion_template_choices(), default=get_accordion_template_default(), help_text='Used template for content look.', max_length=150, verbose_name='Template')),
            ],
            options={
                'verbose_name': 'Accordion',
                'verbose_name_plural': 'Accordions',
            },
            bases=(cmsplugin_blocks.models.mixins.FeatureMixinModel, 'cms.cmsplugin'),
        ),
        migrations.AlterField(
            model_name='feature',
            name='plugins',
            field=cmsplugin_blocks.modelfields.CommaSeparatedStringsField(blank=True, choices=get_feature_plugin_choices(), default='', max_length=50, verbose_name='Allowed for plugins'),
        ),
        migrations.CreateModel(
            name='AccordionItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='', max_length=150, verbose_name='Title')),
                ('image', smart_media.modelfields.SmartMediaField(blank=True, max_length=255, null=True, upload_to='blocks/accordionitem/%y/%m', verbose_name='Image')),
                ('image_alt', models.CharField(blank=True, default='', max_length=125, verbose_name='Alternative image text')),
                ('content', models.TextField(blank=True, default='', verbose_name='Content')),
                ('order', models.IntegerField(default=0, verbose_name='Order')),
                ('accordion', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='accordion_item', to='cmsplugin_blocks.accordion')),
            ],
            options={
                'verbose_name': 'Accordion item',
                'verbose_name_plural': 'Accordion items',
            },
            bases=(smart_media.mixins.SmartFormatMixin, models.Model),
        ),
        migrations.AddField(
            model_name='accordion',
            name='color_features',
            field=models.ManyToManyField(blank=True, limit_choices_to={'plugins__contains': 'Accordion', 'scope': 'color'}, related_name='%(app_label)s_%(class)s_color_related', to='cmsplugin_blocks.feature', verbose_name='color features'),
        ),
        migrations.AddField(
            model_name='accordion',
            name='extra_features',
            field=models.ManyToManyField(blank=True, limit_choices_to={'plugins__contains': 'Accordion', 'scope': 'extra'}, related_name='%(app_label)s_%(class)s_extra_related', to='cmsplugin_blocks.feature', verbose_name='extra features'),
        ),
        migrations.AddField(
            model_name='accordion',
            name='size_features',
            field=models.ManyToManyField(blank=True, limit_choices_to={'plugins__contains': 'Accordion', 'scope': 'size'}, related_name='%(app_label)s_%(class)s_size_related', to='cmsplugin_blocks.feature', verbose_name='size features'),
        ),
    ]
